Bug 217044 - Kernel panics and restarts
Kernel panics and restarts
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-23 07:27 EST by Luis Santos
Modified: 2008-05-06 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:55:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis Santos 2006-11-23 07:27:50 EST
Description of problem:
Kernel panics and restarts. In that day and after crash i updated kernel to last
version: 2.6.18-1.2239.fc5smp but it happned another time, machine simple reboot

Version-Release number of selected component (if applicable):
2.6.17-1.2187_FC5smp

How reproducible:
Dont know because only happned one time

Steps to Reproduce:
1. 
2.
3.
  
Actual results:
KENREL TRACE:
Nov 22 04:31:53 aphrodite kernel: bounds: 0000 [#1]
Nov 22 04:31:53 aphrodite kernel: SMP Nov 22 04:31:53 aphrodite kernel: last
sysfs file: /devices/pci0000:00/0000:00:02.1/i2c-0/name
Nov 22 04:31:53 aphrodite kernel: Modules linked in: loop nfsd exportfs autofs4
nfs lockd nfs_acl sunrpc iptable_mangle iptable_nat ip_nat xt_state ip_conntrack
nfnetlink xt_tcpudp iptable_filter ip_tables x_tables reiserfs dm_mirror dm_mod
raid1 video button battery ac lp parport_pc parport floppy ehci_hcd ohci_hcd
i2c_sis96x r8169 serio_raw i2c_core ext3 jbd Nov 22 04:31:53 aphrodite kernel:
CPU:    1
Nov 22 04:31:53 aphrodite kernel: EIP:    0060:[<c24363b0>]    Not tainted VLI
Nov 22 04:31:53 aphrodite kernel: EFLAGS: 00210293   (2.6.17-1.2187_FC5smp #1)
Nov 22 04:31:53 aphrodite kernel: EIP is at 0xc24363b0
Nov 22 04:31:53 aphrodite kernel: eax: cfe75a94   ebx: 00000001   ecx: 18a0e496
  edx: 00000002
Nov 22 04:31:53 aphrodite kernel: esi: 00200293   edi: 00000000   ebp: 00000000
  esp: d912abb8
Nov 22 04:31:53 aphrodite kernel: ds: 007b   es: 007b   ss: 0068
Nov 22 04:31:53 aphrodite kernel: Process mysqld (pid: 3386, threadinfo=d912a000
task=dfb9f310)
Nov 22 04:31:53 aphrodite kernel: Stack: 00001d8d cfe75a94 d912acc0 c046dc8f
00000001 00001000 d912ae78 00b9000f
Nov 22 04:31:53 aphrodite kernel: 00000000 f8970a16 00001000 ffffffff ffffffff
00000000 ffffffff 00000000
Nov 22 04:31:53 aphrodite kernel: 00100000 ffffffff d912ae60 d912aedc f69f3800
00000004 d912ae80 00000004
Nov 22 04:31:53 aphrodite kernel: Call Trace:
Nov 22 04:31:53 aphrodite kernel: <c046dc8f> ll_rw_block+0x96/0xa9  <f8970a16>
search_by_key+0x11f/0xd7a [reiserfs]
Nov 22 04:31:53 aphrodite kernel: <c05bf989> dev_hard_start_xmit+0x1ab/0x204 
<f894010c> ip_confirm+0x27/0x2c [ip_conntrack]
Nov 22 04:31:53 aphrodite kernel: <c05cded1> __qdisc_run+0x30/0x19b  <f8971957>
search_for_position_by_key+0x3a/0x2f7 [reiserfs]
Nov 22 04:31:53 aphrodite kernel: <f8963599> reiserfs_file_write+0x20c/0x1a26
[reiserfs]  <c05de9bd> ip_output+0x1c9/0x204
Nov 22 04:31:53 aphrodite kernel: <c0617884> __mutex_lock_slowpath+0x339/0x439 
<f8963599> reiserfs_file_write+0x20c/0x1a26 [reiserfs]
Nov 22 04:31:53 aphrodite kernel: <c0429a5a> current_fs_time+0x4f/0x59 
<f895de98> make_cpu_key+0x3f/0x46 [reiserfs]
Nov 22 04:31:53 aphrodite kernel: <f89636b9> reiserfs_file_write+0x32c/0x1a26
[reiserfs]  <c05f0809> tcp_v4_send_check+0x82/0xc7
Nov 22 04:31:53 aphrodite kernel: <c05eba0e> tcp_transmit_skb+0x5e3/0x611 
<c0416a34> smp_send_reschedule+0x5f/0x64
Nov 22 04:31:53 aphrodite kernel: <c041f2dd> try_to_wake_up+0x35b/0x365 
<c0618216> _spin_unlock_bh+0x5/0xa
Nov 22 04:31:53 aphrodite kernel: <c05e4595> tcp_recvmsg+0x643/0x74f  <c041ddeb>
__wake_up_common+0x2f/0x53
Nov 22 04:31:53 aphrodite kernel: <c04201f4> __wake_up+0x2a/0x3d  <c043a5fd>
wake_futex+0x42/0x4c
Nov 22 04:31:53 aphrodite kernel: <c04c2198> inode_has_perm+0x5b/0x63 
<c046b10f> do_sync_read+0x47/0xfd
Nov 22 04:31:53 aphrodite kernel: <c04c222c> file_has_perm+0x8c/0x94  <f896338d>
reiserfs_file_write+0x0/0x1a26 [reiserfs]
Nov 22 04:31:53 aphrodite kernel: <c046b974> vfs_write+0xa8/0x150  <c046bf8d>
sys_write+0x41/0x67
Nov 22 04:31:53 aphrodite kernel: <c0403e3f> syscall_call+0x7/0xb
Nov 22 04:31:53 aphrodite kernel: Code: 00 00 00 00 00 00 00 f8 3d ce 96 44 c6
2c 96 f2 00 00 00 00 68 8d 1d 00 00 00 00 00 00 00 00 00 00 00 00 9c 58 b9 96 e4
a0 18 96 <62> 00 00 00 00 4c aa 08 00 00 00 00 00 00 00 00 00 00 00 00 40
Nov 22 04:31:53 aphrodite kernel: EIP: [<c24363b0>] 0xc24363b0 SS:ESP 0068:d912abb8
Nov 22 04:31:53 aphrodite kernel: <0>Fatal exception: panic in 5 seconds


Expected results:


Additional info:
Comment 1 Dave Jones 2006-11-24 15:43:51 EST
There's a huge amount of change that happened between .17 and .18.
Update to the latest kernel update (there's even a work-in-progress version
that's even newer at http://people.redhat.com/davej/kernels/Fedora/) and see if
it reproduces.

If this hasn't reproduced after a while, I'll close it out.
Comment 2 Luis Santos 2006-11-30 11:42:27 EST
I installed 2.6.18-1.2239.fc5smp and changed filesystem from reiser to jfs and
until now server is running without problem.
Comment 3 Bug Zapper 2008-04-04 00:53:25 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 Bug Zapper 2008-05-06 12:55:35 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.